﻿@model OperationalRiskException.Core.ViewModels.ChampionDashboardVM
@{
    ViewBag.Title = "Dashboard";
    Layout = "~/Views/Shared/_TestLayout.cshtml";
}


    <div class="content-wrapper">

        <div class="row">
            <div class="col-md-12 grid-margin">
                <div class="d-flex justify-content-between flex-wrap">
                    <div class="d-flex align-items-end flex-wrap">
                        <div class="mr-md-3 mr-xl-5">
                            <h2>Welcome back,</h2>

                        </div>

                    </div>

                    <div class="d-flex justify-content-between align-items-end flex-wrap">

                    </div>
                </div>
                <div class="d-flex">
                    <i class="mdi mdi-home text-muted hover-cursor"></i>
                    <p class="text-muted mb-0 hover-cursor">&nbsp;/&nbsp;Dashboard&nbsp;&nbsp;</p>
                    <p class="text-primary mb-0 hover-cursor"></p>
                </div>
            </div>
        </div>
        <div class="row" id="proBanner">
            <div class="col-md-12 grid-margin">
                <div class="card bg-gradient-primary border-0">
                    @{

                        if (Model.IsTestAvailable)
                        {
                            foreach (var list in Model.ListOfAvailableTest)
                            {
                                <div class="card-body py-3 px-4 d-flex align-items-center justify-content-between flex-wrap">
                                    <p class="mb-0 text-white font-weight-medium">You have been provision to answer operational risk exception questions.</p>
                                    <div class="d-flex">
                                        @* <a href="https://github.com/Bootstrapdash/MajesticAdmin-Free-Bootstrap-Admin-Template" target="_blank" class="btn btn-outline-light mr-2">Download free version</a>*@
                                        <a href="@Url.Action("TakeTest", "AssessmentPortal", new { AssSchId=list.AssessmentScheduleId })" target="_blank" class="btn btn-outline-light mr-2 bg-gradient-danger border-0">
                                            Click here to Start
                                        </a>

                                    </div>
                                </div>
                            }
                        }
                        else
                        {
                            <div class="card-body py-3 px-4 d-flex align-items-center justify-content-between flex-wrap">
                                <p class="mb-0 text-white font-weight-medium">No Test Available at the moment</p>
                                <div class="d-flex">
                                    @* <a href="https://github.com/Bootstrapdash/MajesticAdmin-Free-Bootstrap-Admin-Template" target="_blank" class="btn btn-outline-light mr-2">Download free version</a>*@


                                </div>
                            </div>
                        }
                    }
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card tablecontainer">
                    <div class="card-body">
                        <h4 class="card-title"></h4>
                        <p class="card-description">
                            Scores
                        </p>
                        <div class="table-responsive pt-3">
                            <table class="table table-bordered" id="myTable">
                                <thead>
                                    <tr>

                                        <th>
                                            Total Question(s) (TQ)
                                        </th>
                                        <th>
                                            Number of Exception(s) (Ex)
                                        </th>
                                        <th>
                                            Risk  Scores(%)
                                          
                                        </th>

                                        <th>
                                            Comment
                                        </th>

                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach (var items in Model.Scores)
                                    {
                                        <tr>
                                          

                                            <td>
                                                @items.TotalScore
                                            </td>
                                            <td>
                                                @items.ScoreNo
                                            </td>
                                            <td>

                                                @items.Risk
                                            </td>
                                            <td>
                                                @{ if (@items.Risk > 60)
                                                    {
                                                        <span class="badge badge-outline-danger">High Risk</span>
                                                    }
                                                    else if (@items.Risk > 40 && @items.Risk < 60)
                                                    {
                                                        <span class="badge badge-outline-warning">Medium Risk</span>
                                                    }
                                                    else
                                                    {
                                                        <span class="badge badge-outline-success">low Risk</span>
                                                    }

                                                }
                                            </td>

                                        </tr>
                                    }
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

